const updatesAPI = {
  createCarUpdates: async (data, token) => {
    if (!data.id) data.id = 0;
    data.id++;
    return data;
  },

  createFleetUpdates: async (data, token) => {
    if (!data.id) data.id = 0;
    data.id++;
    return data;
  },

  getCarUpdates: async (filter, token) => {
    return { data: [] };
  },

  getVINUpdates: async (vin, token) => {
    return { data: [] };
  },

  getCarUpdateProgress: async (carupdateids, token) => {
    return { statuses: [] };
  },

  cancelCarUpdate: async (id, token) => {
    return { message: "OK" };
  },

  deployCarUpdate: async (id, token) => {
    return { message: "OK" };
  },

  getSUMSVersions: async (token) => {
    return {
      "data": ["2023.02.01.0.0.A", "2023.02.01.0.0.B"]
    };
  },

  updateSUMSVersion: async (_id, version) => {
    return { version };
  },
};

export default updatesAPI;
